Update cloned voice (partial update)
curl --request PATCH \
--url https://supertoneapi.com/v1/custom-voices/{voice_id} \
--header 'Content-Type: application/json' \
--header 'x-sup-api-key: <api-key>' \
--data '
{
"name": "My Updated Voice",
"description": "An updated warm and friendly voice for customer service"
}
'import requests
url = "https://supertoneapi.com/v1/custom-voices/{voice_id}"
payload = {
"name": "My Updated Voice",
"description": "An updated warm and friendly voice for customer service"
}
headers = {
"x-sup-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-sup-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Updated Voice',
description: 'An updated warm and friendly voice for customer service'
})
};
fetch('https://supertoneapi.com/v1/custom-voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://supertoneapi.com/v1/custom-voices/{voice_id}"
payload := strings.NewReader("{\n \"name\": \"My Updated Voice\",\n \"description\": \"An updated warm and friendly voice for customer service\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-sup-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://supertoneapi.com/v1/custom-voices/{voice_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Updated Voice',
'description' => 'An updated warm and friendly voice for customer service'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-sup-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.patch("https://supertoneapi.com/v1/custom-voices/{voice_id}")
.header("x-sup-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Updated Voice\",\n \"description\": \"An updated warm and friendly voice for customer service\"\n}")
.asString();{
"voice_id": "voice_123456789",
"name": "My Updated Voice",
"description": "An updated warm and friendly voice for customer service"
}{
"status": "error",
"message": {
"message": "Invalid API Key",
"error": "Unauthorized"
}
}{
"status": "error",
"message": {
"message": "Voice not found",
"error": "Not Found"
}
}{
"status": "error",
"message": {
"message": "Failed to convert text to speech",
"error": "Internal Server Error"
}
}Custom voices
Edit custom voice
커스텀(클론드) 보이스의 이름이나 설명을 업데이트합니다.
PATCH
/
v1
/
custom-voices
/
{voice_id}
Update cloned voice (partial update)
이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 영어 원문을 함께 확인해 주세요.
name과 description만 변경할 수 있습니다.
엔드포인트
PATCH https://supertoneapi.com/v1/custom-voices/{voice_id}
경로 파라미터
| Name | Required | Description |
|---|---|---|
voice_id | ✅ | 편집할 커스텀 보이스의 ID입니다. |
요청 본문
| Field | Required | Description |
|---|---|---|
name | — | 새 보이스 이름입니다. 최대 100자. |
description | — | 새 설명입니다. |
참고사항
voice_id는 변경되지 않습니다. 기존 참조는 그대로 유효합니다.- 해당 보이스가 다른 계정에 속한 경우
403 Forbidden을 반환합니다.
함께 보기
Docs: Custom voices
커스텀 보이스의 전체 라이프사이클입니다.
Delete custom voice
커스텀 보이스를 영구적으로 제거합니다.
Authorizations
Path Parameters
Body
application/json
⌘I